Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class StepStatusEnum

    java.lang.Object
      org.apache.commons.lang.enums.Enum
          com.pmease.quickbuild.step.StepStatusEnum

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public final class StepStatusEnum
extends org.apache.commons.lang.enums.Enum

Define build status enumerations.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary
`static StepStatusEnum` | `FAILED`
`static StepStatusEnum` | `IDLE`
`static StepStatusEnum` | `RUNNING`
`static StepStatusEnum` | `SUCCESSFUL`

Fields inherited from class org.apache.commons.lang.enums.Enum
`iToString`

Method Summary
`static StepStatusEnum` | `getEnum(java.lang.String stepStatus)`
`static java.util.List` | `getEnumList()`
`static java.util.Map` | `getEnumMap()`
`static java.util.Iterator` | `iterator()`

Methods inherited from class org.apache.commons.lang.enums.Enum
`compareTo, equals, getEnum, getEnumClass, getEnumList, getEnumMap, getName, hashCode, iterator, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SUCCESSFUL

    public static final StepStatusEnum SUCCESSFUL

### FAILED

    public static final StepStatusEnum FAILED

### RUNNING

    public static final StepStatusEnum RUNNING

### IDLE

    public static final StepStatusEnum IDLE

Method Detail

### getEnum

    public static StepStatusEnum getEnum(java.lang.String stepStatus)

### getEnumMap

    public static java.util.Map getEnumMap()

### getEnumList

    public static java.util.List getEnumList()

### iterator

    public static java.util.Iterator iterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.